{**********************************************************}
{*                                                        *}
{*   Nazov:  Advance Graph                                *}
{*   Verzia: 1.0                                          *}
{*   Datum:  12. 5.2002                                   *}
{*   Start:  12. 5.2002                                   *}
{*   Autor:  Milsoft                                      *}
{*   Typ:    Unit                                         *}
{*                                                        *}
{**********************************************************}

{$F-,O-,A+,G+,R-,S-,I-,Q-,V+,B-,X+,T+,P-,D-,L-,Y-,N-,E-}

unit AGraph;

interface
function xq(xx: real): integer;
function yq(yy: real): integer;
procedure scale(x1,y1,x2,y2: real);
procedure putpixel(x,y: real; c: word);
procedure bar(x1,y1,x2,y2: real);
procedure rectangle(x1,y1,x2,y2: real);
procedure outtextxy(x,y: real; s: string);

implementation
uses graph;
var
  xx0,yy0,xx1,yy1,xx2,yy2: real;

function xq(xx: real): integer;
begin
  xq := round((xx - xx1) / xx2 * xx0);
end;

function yq(yy: real): integer;
begin
  yq := round((yy - yy1) / yy2 * yy0);
end;

procedure putpixel(x,y: real; c: word);
begin
  graph.putpixel(xq(x),yq(y),c);
end;

procedure scale(x1,y1,x2,y2: real);
begin
  xx0 := getmaxx;
  yy0 := getmaxy;
  xx1 := x1;
  yy1 := y1;
  xx2 := x2 - x1;
  yy2 := y2 - x1;
end;

procedure bar(x1,y1,x2,y2: real);
begin
  graph.bar(xq(x1),yq(y1),xq(x2),yq(y2));
end;

procedure rectangle(x1,y1,x2,y2: real);
begin
  graph.rectangle(xq(x1),yq(y1),xq(x2),yq(y2));
end;

procedure outtextxy(x,y: real; s: string);
begin
  graph.outtextxy(xq(x),yq(y),s);
end;

end.
