{*************************+********************************}
{*                                                        *}
{*   Nazov: Milsoft Logo Unit                             *}
{*   Datum:  2.10.2001                                    *}
{*   Start: 17. 9.2001                                    *}
{*   Jazyk: Turbo Pascal 7.0                              *}
{*   Autor: Milsoft                                       *}
{*   Typ:   Unit                                          *}
{*                                                        *}
{**********************************************************}

{$F-,O-,A+,G+,R+,S-,I-,Q+,V+,B-,X+,T+,P-,D-,L-,Y-,N-,E-}

unit milsoft;

interface

uses utility;

procedure AutorScreenBW;                    {obrazok autora (moj) ciernobiely}
procedure AutorScreen128;                   {obrazok autora (moj) 128 farieb}
procedure MilsoftLogo(var RGBPal: array of TRGBPal; x,y: integer);
procedure ClearLogo(x,y: integer);
procedure ShowAutorBW(var RGBPal: array of TRGBPal; x,y: integer);
procedure ShowAutor128(var RGBPal: array of TRGBPal; x,y: integer);

implementation

uses graph;

procedure AutorScreenBW; external;          {obrazok autora (moj) ciernobiely}
{$L autorbw.obj}

procedure AutorScreen128; external;         {obrazok autora (moj) 128 farieb}
{$L autor128.obj}

procedure MilsoftLogo(var RGBPal: array of TRGBPal; x,y: integer);
var                                         {zobrazenie loga Milsoft}
  i: byte;
begin
  setviewport(x - 160,y - 50,x + 159,y + 49,clipon);
  rgbtopal(rgbpal,0,0,0,0);
  rgbtopal(rgbpal,8,31,0,31);
  rgbtopal(rgbpal,9,31,15,47);
  rgbtopal(rgbpal,10,31,31,63);
  rgbtopal(rgbpal,11,0,63,0);
  rgbtopal(rgbpal,12,63,63,0);
  rgbtopal(rgbpal,13,63,31,0);
  rgbtopal(rgbpal,14,63,0,0);
  rgbtopal(rgbpal,15,63,63,63);
  setcolor(15);
  for i := 0 to 7 do circle(160,1000,920 + i * 10);
  for i := 0 to 6 do
    begin
      setfillstyle(solidfill,8 + i);
      floodfill(160,1000 - (921 + i * 10),white);
      setcolor(8 + i);
      circle(160,1000,920 + i * 10);
    end;
  setcolor(0);
  circle(160,1000,990);
  settextjustify(centertext,centertext);
  settextstyle(7,horizdir,4);
  setcolor(black);
  outtextxy(160,25,'Milsoft');
  settextstyle(7,horizdir,1);
  setcolor(white);
  outtextxy(160,65,'Zlat Moravce');
  setviewport(0,0,getmaxx,getmaxy,clipon);
end;

procedure ClearLogo(x,y: integer);
begin
  setfillstyle(solidfill,black);
  bar(x - 160,y - 50,x + 159,y + 49);
end;

procedure ShowAutorBW(var RGBPal: array of TRGBPal; x,y: integer);
var
  i: byte;
begin
  for i := 0 to 7 do rgbtopal(rgbpal,i + 8,i * 9,i * 9,i * 9);
  putimage(x - 79,y,(@autorscreenbw)^,normalput);
end;

procedure ShowAutor128(var RGBPal: array of TRGBPal; x,y: integer);
var
  p: ^byte;
begin
  p := @autorscreen128;
  move(p^,rgbpal[128],sizeof(trgbpal) * 128);
  inc(p,sizeof(trgbpal) * 128);
  putimage(x - 79,y,p^,normalput);
end;

end.
