{*************************+********************************}
{*                                                        *}
{*   Nazov: Text Change Unit                              *}
{*   Datum:  5.10.2001                                    *}
{*   Start: 17. 9.2001                                    *}
{*   Jazyk: Turbo Pascal 7.0                              *}
{*   Autor: Milsoft                                       *}
{*   Typ:   Unit                                          *}
{*                                                        *}
{**********************************************************}

{$F-,O-,A+,G+,R+,S-,I-,Q+,V+,B-,X+,T+,P-,D-,L-,Y-,N-,E-}

unit texts;

interface

type
  ttextchange = record
    y:     integer;                         {y suradnica textu}
    c1,c2: word;                            {zmena farby z c1 na c2}
    font:  word;                            {font}
    size:  word;                            {velkost}
    speed: word;                            {rychlost}
    r,g,b: byte;                            {farba RGB}
    old:   string;                          {stary text}
  end;

procedure inittextchange(var a: ttextchange; y0: integer; c10,c20,
  font0,size0,speed0: word; r0,g0,b0: byte);
procedure textchange(var a: ttextchange; s: string);

implementation

uses crt,graph,utility;

procedure inittextchange(var a: ttextchange; y0: integer; c10,c20,
  font0,size0,speed0: word; r0,g0,b0: byte);
begin
  with a do
    begin
      c1 := c10;
      c2 := c20;
      y := y0;
      font := font0;
      size := size0;
      speed := speed0;
      r := r0;
      g := g0;
      b := b0;
      old := '';
      setrgbpal(getpal(c1),0,0,0);
      setrgbpal(getpal(c2),0,0,0);
    end;
end;

procedure textchange(var a: ttextchange; s: string);
var
  x:     integer;
  i,j:   byte;
  x0,y0: integer;
  xx,yy: integer;
begin
  if keypressed then exit;
  with a do
    begin
      x := (getmaxx + 1) div 2;
      settextjustify(centertext,centertext);
      settextstyle(font,horizdir,size);
      setcolor(c2);
      outtextxy(x,y,s);
      setcolor(c1);
      outtextxy(x,y,old);
      for j := 0 to 31 do
        begin
          setrgbpal(getpal(c1),
            r - r * j div 63,g - g * j div 63,b - b * j div 63);
          setrgbpal(getpal(c2),r * j div 63,g * j div 63,b * j div 63);
          if keydelay(speed) then exit;
        end;
      setcolor(c2);
      outtextxy(x,y,s);
      for j := 32 to 63 do
        begin
          setrgbpal(getpal(c1),
            r - r * j div 63,g - g * j div 63,b - b * j div 63);
          setrgbpal(getpal(c2),r * j div 63,g * j div 63,b * j div 63);
          if keydelay(speed) then exit;
        end;
      x0 := textwidth(old) + 10;
      y0 := textheight(old) + 10;
      for yy := y - y0 div 2 + y0 div 4 to y + y0 div 2 + y0 div 4 do
        for xx := x - x0 div 2 to x + x0 div 2 do
          if getpixel(xx,yy) = c1 then putpixel(xx,yy,0);
      setrgbpal(getpal(c1),r,g,b);
      setcolor(c1);
      outtextxy(x,y,s);
      setrgbpal(getpal(c2),0,0,0);
      old := s;
    end;
end;

end.
